diff --git a/src/gui/Appearance.cpp b/src/gui/Appearance.cpp
index 65059b66..c1b54b44 100644
--- a/src/gui/Appearance.cpp
+++ b/src/gui/Appearance.cpp
@@ -58,7 +58,7 @@ public:
         return pixmap;
     }
 private:
-    void paintEvent(QPaintEvent *) override
+    void paintEvent(QPaintEvent *)
     {
         if (!pixmap.isNull())
         {
@@ -77,14 +77,20 @@ constexpr auto DEFAULT_GRAD1  = 0xFF000000;
 constexpr auto DEFAULT_GRAD2  = 0xFF333366;
 constexpr auto DEFAULT_QMPTXT = 0xFFFFFFFF;
 
-static const auto QMPlay2ColorExtension = QStringLiteral(".QMPlay2Color");
+static const auto QMPlay2ColorExtension = QString(".QMPlay2Color");
 static QPalette systemPalette;
 static QString colorsDir;
 
 template<bool sort = false, typename Fn>
 static void iterateRoles(Fn &&fn)
 {
+#if QT_VERSION >= QT_VERSION_CHECK(5, 5, 0)
     const auto colorRoles = QMetaEnum::fromType<QPalette::ColorRole>();
+#else
+    // Qt4: QMetaEnum::fromType() doesn't exist, use metaObject indexOfEnumerator
+    const int idx = QPalette::staticMetaObject.indexOfEnumerator("ColorRole");
+    const QMetaEnum colorRoles = QPalette::staticMetaObject.enumerator(idx);
+#endif
     const int colorRolesCount = colorRoles.keyCount();
     auto filterFn = [](auto role) {
         return role != QPalette::WindowText
@@ -114,10 +120,19 @@ static void iterateRoles(Fn &&fn)
 
                 for (int i = 0; i < nameLen; ++i)
                 {
+#if QT_VERSION >= QT_VERSION_CHECK(5, 0, 0)
                     if (i > 0 && QChar::isUpper(name[i]))
                     {
                         newName += ' ';
                         newName += QChar::toLower(name[i]);
+#else
+                    // Qt4: QChar static methods don't exist, use instance methods
+                    QChar ch(name[i]);
+                    if (i > 0 && ch.isUpper())
+                    {
+                        newName += ' ';
+                        newName += ch.toLower().toLatin1();
+#endif
                     }
                     else
                     {
@@ -239,7 +254,7 @@ void Appearance::init()
             if (colorScheme.value("Colors/Use").toBool())
             {
                 iterateRoles([&](QPalette::ColorRole role, const char *name) {
-                    const QString settingsKey = QStringLiteral("Colors/") + name;
+                    const QString settingsKey = QString("Colors/") + name;
                     const auto color = colorScheme.value(settingsKey).toUInt();
                     if (colorScheme.contains(settingsKey))
                     {
@@ -338,14 +353,14 @@ Appearance::Appearance(QWidget *p) :
     QFormLayout *formLayout = new QFormLayout(formWidget);
     iterateRoles<true>([&](QPalette::ColorRole role, const char *name) {
         auto button = new ColorButton;
-        formLayout->addRow(QStringLiteral("%1 color:").arg(name), button);
-        connect(button, &ColorButton::colorChanged, this, &Appearance::showReadOnlyWarning);
+        formLayout->addRow(QString("%1 color:").arg(name), button);
+        connect(button, SIGNAL(colorChanged()), this, SLOT(showReadOnlyWarning()));
         m_colorButtons[role] = button;
     });
     formLayout->addRow(tr("Slider button color") + ":", m_colorSliderButton = new ColorButton);
     formLayout->addRow(tr("Slider highlight color") + ":", m_colorSliderHighlight = new ColorButton);
-    connect(m_colorSliderButton, &ColorButton::colorChanged, this, &Appearance::showReadOnlyWarning);
-    connect(m_colorSliderHighlight, &ColorButton::colorChanged, this, &Appearance::showReadOnlyWarning);
+    connect(m_colorSliderButton, SIGNAL(colorChanged()), this, SLOT(showReadOnlyWarning()));
+    connect(m_colorSliderHighlight, SIGNAL(colorChanged()), this, SLOT(showReadOnlyWarning()));
     formLayout->setContentsMargins(3, 3, 3, 3);
 
     auto colorsScroll = new QScrollArea;
@@ -407,9 +422,9 @@ Appearance::Appearance(QWidget *p) :
         loadCurrentPalette();
 
 
-    connect(grad1C, &ColorButton::colorChanged, this, &Appearance::showReadOnlyWarning);
-    connect(grad2C, &ColorButton::colorChanged, this, &Appearance::showReadOnlyWarning);
-    connect(qmpTxtC, &ColorButton::colorChanged, this, &Appearance::showReadOnlyWarning);
+    connect(grad1C, SIGNAL(colorChanged()), this, SLOT(showReadOnlyWarning()));
+    connect(grad2C, SIGNAL(colorChanged()), this, SLOT(showReadOnlyWarning()));
+    connect(qmpTxtC, SIGNAL(colorChanged()), this, SLOT(showReadOnlyWarning()));
 }
 
 void Appearance::schemesIndexChanged(int idx)
@@ -434,7 +449,7 @@ void Appearance::schemesIndexChanged(int idx)
             if (colorScheme.value("Colors/Use").toBool())
             {
                 iterateRoles([&](QPalette::ColorRole role, const char *name) {
-                    const QString settingsKey = QStringLiteral("Colors/") + name;
+                    const QString settingsKey = QString("Colors/") + name;
                     if (colorScheme.contains(settingsKey))
                     {
                         m_colorButtons.value(role)->setColor(colorScheme.value(settingsKey).toUInt());
@@ -442,7 +457,7 @@ void Appearance::schemesIndexChanged(int idx)
                     else if (role == QPalette::AlternateBase)
                     {
                         // Backward compatibility
-                        const QString settingsKey2 = QStringLiteral("Colors/Base");
+                        const QString settingsKey2 = QString("Colors/Base");
                         if (colorScheme.contains(settingsKey2))
                         {
                             m_colorButtons.value(role)->setColor(baseToAlternateBase(colorScheme.value(settingsKey2).toUInt()));
@@ -574,7 +589,7 @@ void Appearance::saveScheme(QSettings &colorScheme)
     if (useColorsB->isChecked())
     {
         iterateRoles([&](QPalette::ColorRole role, const char *name) {
-            const QString settingsKey = QStringLiteral("Colors/") + name;
+            const QString settingsKey = QString("Colors/") + name;
             colorScheme.setValue(settingsKey, m_colorButtons.value(role)->getColor().rgb());
         });
         colorScheme.setValue("Colors/SliderButton", m_colorSliderButton->getColor().rgb());
diff --git a/src/gui/AudioThr.cpp b/src/gui/AudioThr.cpp
index c1263cd4..d750f128 100644
--- a/src/gui/AudioThr.cpp
+++ b/src/gui/AudioThr.cpp
@@ -58,16 +58,16 @@ AudioThr::~AudioThr()
 
 void AudioThr::stop(bool terminate)
 {
-    for (QMPlay2Extensions *vis : std::as_const(visualizations))
+    for (QMPlay2Extensions *vis : visualizations)
         vis->visState(false);
-    for (AudioFilter *filter : std::as_const(filters))
+    for (AudioFilter *filter : filters)
         delete filter;
     playC.audioSeekPos = -1;
     AVThread::stop(terminate);
 }
 void AudioThr::clearVisualizations()
 {
-    for (QMPlay2Extensions *vis : std::as_const(visualizations))
+    for (QMPlay2Extensions *vis : visualizations)
         vis->clearSoundData();
 }
 
@@ -111,9 +111,9 @@ bool AudioThr::setParams(uchar realChn, uint realSRate, uchar chn, uint sRate, b
             sample_rate = realSample_rate;
         }
 
-        for (QMPlay2Extensions *vis : std::as_const(visualizations))
+        for (QMPlay2Extensions *vis : visualizations)
             vis->visState(true, currentChannels(), currentSampleRate());
-        for (AudioFilter *filter : std::as_const(filters))
+        for (AudioFilter *filter : filters)
             filter->setAudioParameters(currentChannels(), currentSampleRate());
 
         return true;
@@ -187,7 +187,7 @@ void AudioThr::run()
             bool hasBufferedSamplesInResampler = false;
             if (playC.endOfStream && !hasAPackets)
             {
-                for (AudioFilter *filter : std::as_const(filters))
+                for (AudioFilter *filter : filters)
                 {
                     if (filter->bufferedSamples())
                     {
@@ -232,7 +232,7 @@ void AudioThr::run()
             waiting = false;
 
             const bool flushAudio = playC.flushAudio;
-            double ts = qQNaN();
+            double ts = std::numeric_limits<double>::quiet_NaN();
 
             Packet packet;
             if (!hasBufferedSamples && (dec->pendingFrames() == 0 || flushAudio))
@@ -289,7 +289,7 @@ void AudioThr::run()
             }
 
             delay = writer->getParam("delay").toDouble() + sndResampler.getDelay();
-            for (AudioFilter *filter : std::as_const(filters))
+            for (AudioFilter *filter : filters)
             {
                 if (flushAudio)
                     filter->clearBuffers();
@@ -335,7 +335,7 @@ void AudioThr::run()
                 decodedSize -= chunk;
 
                 playC.audio_last_delay = (double)decodedChunk.size() / (double)(sizeof(float) * currentChannels() * currentSampleRate());
-                if (!qIsNaN(ts))
+                if (!std::isnan(ts))
                 {
                     audio_pts = playC.audio_current_pts = ts - delay;
                     if ((!playC.vThr || ((AVThread *)playC.vThr)->hasError() || (((AVThread *)playC.vThr)->dec && ((AVThread *)playC.vThr)->dec->isDummyDecoder())) && playC.audioSeekPos <= 0)
@@ -361,7 +361,7 @@ void AudioThr::run()
 
                 if (!dec->isDummyDecoder())
                     tmp_time += playC.audio_last_delay * 1000.0;
-                if (!qIsNaN(ts))
+                if (!std::isnan(ts))
                     ts += playC.audio_last_delay;
 
                 if (playC.skipAudioFrame <= 0.0 || oneFrame)
@@ -383,7 +383,7 @@ void AudioThr::run()
                             data[i] *= vol[i & 1];
                     }
 
-                    for (QMPlay2Extensions *vis : std::as_const(visualizations))
+                    for (QMPlay2Extensions *vis : visualizations)
                         vis->sendSoundData(decodedChunk);
 
                     QByteArray dataToWrite;
@@ -469,6 +469,6 @@ inline uint AudioThr::currentSampleRate() const
 
 void AudioThr::pauseVis(bool b)
 {
-    for (QMPlay2Extensions *vis : std::as_const(visualizations))
+    for (QMPlay2Extensions *vis : visualizations)
         vis->visState(!b, currentChannels(), currentSampleRate());
 }
diff --git a/src/gui/AudioThr.hpp b/src/gui/AudioThr.hpp
index c4f3b87d..dc76ef91 100644
--- a/src/gui/AudioThr.hpp
+++ b/src/gui/AudioThr.hpp
@@ -28,14 +28,14 @@ class QMPlay2Extensions;
 class PlayClass;
 class AudioFilter;
 
-class AudioThr final : public AVThread
+class AudioThr : public AVThread
 {
     Q_OBJECT
 public:
     AudioThr(PlayClass &, const QStringList &pluginsName = {});
     ~AudioThr();
 
-    void stop(bool terminate = false) override;
+    void stop(bool terminate = false);
     void clearVisualizations();
 
     bool setParams(uchar realChn, uint realSRate, uchar chn, uint sRate, bool resamplerFirst);
@@ -47,7 +47,7 @@ public:
         allowAudioDrain = true;
     }
 private:
-    void run() override;
+    void run();
 
     bool createResampler(bool cleanBuffers);
 
diff --git a/src/gui/CMakeLists.txt b/src/gui/CMakeLists.txt
index 39da2286..479d7c18 100644
--- a/src/gui/CMakeLists.txt
+++ b/src/gui/CMakeLists.txt
@@ -225,7 +225,8 @@ if(WIN32)
 elseif(APPLE)
     set_target_properties(${PROJECT_NAME} PROPERTIES
         MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/macOS/BundleInfo.plist.in")
-    target_link_libraries(${PROJECT_NAME} PRIVATE ${APPKIT_LIBRARY} ${IOKIT_LIBRARY})
+    find_library(CARBON_LIBRARY Carbon)
+    target_link_libraries(${PROJECT_NAME} PRIVATE ${APPKIT_LIBRARY} ${IOKIT_LIBRARY} ${CARBON_LIBRARY})
 endif()
 if(USE_TAGLIB AND (NOT WIN32 OR CMAKE_HOST_WIN32))
     target_link_libraries(${PROJECT_NAME} PRIVATE ${TAGLIB_LIBRARIES})
@@ -240,11 +241,12 @@ if(WIN32)
 elseif(APPLE)
     install(TARGETS ${PROJECT_NAME} BUNDLE DESTINATION ${CMAKE_INSTALL_PREFIX})
 
-    set(QT_LIBS_DIR "${${QT_PREFIX}Widgets_DIR}/../..")
-    set(QT_PLUGINS_DIR "${QT_LIBS_DIR}/../plugins")
+    set(QT_LIBS_DIR "@qt_libs_dir@")
+    set(QT_PLUGINS_DIR "@qt_plugins_dir@")
     install(FILES
         "${QT_PLUGINS_DIR}/platforms/libqcocoa.dylib"
-        DESTINATION "${MAC_BUNDLE_PATH}/Contents/plugins/platforms")
+        DESTINATION "${MAC_BUNDLE_PATH}/Contents/plugins/platforms"
+        OPTIONAL)
     install(FILES
         "${QT_PLUGINS_DIR}/iconengines/libqsvgicon.dylib"
         DESTINATION "${MAC_BUNDLE_PATH}/Contents/plugins/iconengines")
@@ -262,23 +264,7 @@ elseif(APPLE)
         DESTINATION "${MAC_BUNDLE_PATH}/Contents"
         FILES_MATCHING
         PATTERN "qtbase_*.qm")
-    if(EXISTS "/usr/local/bin/ffmpeg")
-        install(PROGRAMS
-            "/usr/local/bin/ffmpeg"
-            DESTINATION "${MAC_BUNDLE_PATH}/Contents/MacOS")
-    else()
-        message(WARNING "FFmpeg executable not copied!")
-    endif()
-    install(CODE "
-        include(BundleUtilities)
-        set(BU_CHMOD_BUNDLE_ITEMS ON)
-        list(APPEND DIRS /usr/local/lib ${QT_LIBS_DIR})
-        file(GLOB_RECURSE QMPLAY2_MODULES_AND_QT_PLUGINS
-            \"${MAC_BUNDLE_PATH}/Contents/MacOS/modules/*\"
-            \"${MAC_BUNDLE_PATH}/Contents/plugins/*.dylib\")
-        file(WRITE \"${MAC_BUNDLE_PATH}/Contents/Resources/qt.conf\")
-        fixup_bundle(${MAC_BUNDLE_PATH} \"\${QMPLAY2_MODULES_AND_QT_PLUGINS}\" \"\${DIRS}\")
-    ")
+    file(WRITE \"@destroot@${MAC_BUNDLE_PATH}/Contents/Resources/qt.conf\")
 elseif(NOT ANDROID)
     # executable
     install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
diff --git a/src/gui/DeintSettingsW.cpp b/src/gui/DeintSettingsW.cpp
index 06038d71..2242ffc8 100644
--- a/src/gui/DeintSettingsW.cpp
+++ b/src/gui/DeintSettingsW.cpp
@@ -139,7 +139,7 @@ void DeintSettingsW::writeSettings()
     for (QObject *obj : children())
         if (obj->isWidgetType() && !obj->property("module").isNull())
             videoDeintModules.insert((Module *)obj->property("module").value<void *>());
-    for (Module *module : std::as_const(videoDeintModules))
+    for (Module *module : videoDeintModules)
         module->videoDeintSave();
 }
 
diff --git a/src/gui/DeintSettingsW.hpp b/src/gui/DeintSettingsW.hpp
index f5f9b599..06b783ee 100644
--- a/src/gui/DeintSettingsW.hpp
+++ b/src/gui/DeintSettingsW.hpp
@@ -24,7 +24,7 @@ class QCheckBox;
 class QComboBox;
 class Module;
 
-class DeintSettingsW final : public QGroupBox
+class DeintSettingsW : public QGroupBox
 {
     Q_OBJECT
 public:
diff --git a/src/gui/DemuxerThr.cpp b/src/gui/DemuxerThr.cpp
index 2c9b240d..7df063fb 100644
--- a/src/gui/DemuxerThr.cpp
+++ b/src/gui/DemuxerThr.cpp
@@ -122,7 +122,7 @@ void DemuxerThr::loadImage()
                     }
                 }
             }
-            if (img.isNull() && (!artist.isEmpty() || title.contains(QStringLiteral(" - "))) && (!title.isEmpty() || !album.isEmpty())) //Ładowanie okładki z cache
+            if (img.isNull() && (!artist.isEmpty() || title.contains(QString(" - "))) && (!title.isEmpty() || !album.isEmpty())) //Ładowanie okładki z cache
             {
                 QString coverPath = getCoverFile(title, artist, album);
                 if (!title.isEmpty() && !album.isEmpty() && !QFile::exists(coverPath)) //Try to load cover for title if album cover doesn't exist
@@ -331,7 +331,14 @@ bool DemuxerThr::load(bool canEmitInfo)
     emit load(demuxer.rawPtr()); //to wykonuje się w głównym wątku (wywołuje load() z "playC")
     playC.loadMutex.lock(); //i czeka na koniec wykonywania
     playC.loadMutex.unlock();
+#if QT_VERSION >= QT_VERSION_CHECK(5, 0, 0)
     demuxer->selectStreams({playC.audioStream, playC.videoStream, playC.subtitlesStream});
+#else
+    // Qt4: No initializer lists, build QSet explicitly
+    QSet<int> selectedStreams;
+    selectedStreams << playC.audioStream << playC.videoStream << playC.subtitlesStream;
+    demuxer->selectStreams(selectedStreams);
+#endif
     if (canEmitInfo)
         emitInfo();
     return playC.audioStream >= 0 || playC.videoStream >= 0;
@@ -487,12 +494,7 @@ void DemuxerThr::run()
     connect(&QMPlay2Core, SIGNAL(updateCover(QString, QString, QString, QByteArray)), this, SLOT(updateCover(QString, QString, QString, QByteArray)));
 
     QObject o;
-    connect(&QMPlay2Core, &QMPlay2CoreClass::updateInformationPanel,
-            &o, [this] {
-        Q_ASSERT(QThread::currentThread() != thread());
-        if (demuxer)
-            emitInfo();
-    });
+    connect(&QMPlay2Core, SIGNAL(updateInformationPanel()), this, SLOT(handleUpdateInformationPanel()));
 
     if (forwardTime > 0.0)
     {
@@ -1284,7 +1286,7 @@ void DemuxerThr::emitInfo()
         ++i;
     }
     i = 0;
-    for (const QString &fName : std::as_const(playC.fileSubsList))
+    for (const QString &fName : playC.fileSubsList)
         addSubtitleStream(fName == playC.fileSubs, subtitlesStreams, i++, ++subtitlesStreamCount, "fileSubs", QString(), Functions::fileName(fName), subtitlesStreamsMenu);
 
     if (!videoStreams.isEmpty())
@@ -1454,7 +1456,12 @@ void DemuxerThr::stopVADec()
     playC.stopVDec();
     playC.stopADec();
 
+#if QT_VERSION >= QT_VERSION_CHECK(5, 2, 0)
     const QString key = playC.getUrl().toUtf8().toBase64(QByteArray::Base64UrlEncoding | QByteArray::OmitTrailingEquals);
+#else
+    // Qt4: Use basic base64 encoding
+    const QString key = playC.getUrl().toUtf8().toBase64();
+#endif
     const double pos = playC.getPos();
     bool store = !err && !unknownLength && demuxer && QMPlay2Core.getSettings().getBool("StoreUrlPos");
     if (store)
@@ -1490,7 +1497,7 @@ void DemuxerThr::updateCover(const QString &title, const QString &artist, const
                !title.isEmpty()
             && !artist.isEmpty()
             && this->artist.isEmpty()
-            && this->title.contains(QStringLiteral(" - "))
+            && this->title.contains(QString(" - "))
             && this->title.contains(title)
             && this->title.contains(artist)
         ;
@@ -1536,3 +1543,11 @@ void DemuxerTimer::timeout()
     if (demuxerThr.canUpdateBuffered())
         demuxerThr.emitBufferInfo(true);
 }
+
+// Qt4: Helper slot implementation
+void DemuxerThr::handleUpdateInformationPanel()
+{
+    Q_ASSERT(QThread::currentThread() != thread());
+    if (demuxer)
+        emitInfo();
+}
diff --git a/src/gui/DemuxerThr.hpp b/src/gui/DemuxerThr.hpp
index 8c3d835d..bfdb5707 100644
--- a/src/gui/DemuxerThr.hpp
+++ b/src/gui/DemuxerThr.hpp
@@ -33,7 +33,7 @@ class AVThread;
 class Demuxer;
 class BasicIO;
 
-class DemuxerThr final : public QThread
+class DemuxerThr : public QThread
 {
     friend class DemuxerTimer;
     friend class PlayClass;
@@ -69,7 +69,7 @@ private:
     void startRecording();
     void stopRecording();
 
-    void run() override;
+    void run();
 
     void startRecordingInternal(QHash<int, int> &recStreamsMap);
     void stopRecordingInternal(QHash<int, int> &recStreamsMap);
@@ -114,6 +114,8 @@ private:
 private slots:
     void stopVADec();
     void updateCover(const QString &title, const QString &artist, const QString &album, const QByteArray &cover);
+    // Qt4: Helper slot for lambda conversion
+    void handleUpdateInformationPanel();
 signals:
     void load(Demuxer *);
     void allowRecording(bool allow);
diff --git a/src/gui/EntryProperties.cpp b/src/gui/EntryProperties.cpp
index c708e530..993ab496 100644
--- a/src/gui/EntryProperties.cpp
+++ b/src/gui/EntryProperties.cpp
@@ -116,7 +116,7 @@ EntryProperties::EntryProperties(QWidget *p, QTreeWidget *treeWidget, bool &sync
         openUrlB = new QToolButton;
         openUrlB->setToolTip(tr("Open URL or directory containing chosen file"));
         openUrlB->setIcon(QMPlay2Core.getIconFromTheme("folder-open"));
-        connect(openUrlB, &QToolButton::clicked, this, &EntryProperties::openUrl);
+        connect(openUrlB, SIGNAL(clicked()), this, SLOT(openUrl()));
         layout.addWidget(openUrlB, row, 2, 1, 1);
 
         fileSizeL = new QLabel;
diff --git a/src/gui/EntryProperties.hpp b/src/gui/EntryProperties.hpp
index 55ca6da6..dab9571f 100644
--- a/src/gui/EntryProperties.hpp
+++ b/src/gui/EntryProperties.hpp
@@ -31,7 +31,7 @@ class QCheckBox;
 #endif
 class QLabel;
 
-class EntryProperties final : public QDialog
+class EntryProperties : public QDialog
 {
     Q_OBJECT
 public:
@@ -56,6 +56,6 @@ private slots:
 #endif
     void browse();
     void openUrl();
-    void accept() override;
-    void reject() override;
+    void accept();
+    void reject();
 };
diff --git a/src/gui/InfoDock.cpp b/src/gui/InfoDock.cpp
index 40206b34..3893f690 100644
--- a/src/gui/InfoDock.cpp
+++ b/src/gui/InfoDock.cpp
@@ -18,7 +18,7 @@
 
 #include <InfoDock.hpp>
 
-#include <QGuiApplication>
+#include <QApplication>
 #include <QMouseEvent>
 #include <QScrollBar>
 #include <QLabel>
@@ -99,9 +99,8 @@ InfoDock::InfoDock()
         infoE->document()->setDefaultStyleSheet("a {color: " + infoE->palette().text().color().name() + "; text-decoration: none;}");
         infoE->setHtml(m_info);
     };
-    connect(qGuiApp, &QGuiApplication::paletteChanged,
-            this, setInfoEditStyleSheet,
-            Qt::QueuedConnection);
+    // Qt4: QApplication does not have paletteChanged signal
+    // connect(qGuiApp, &QApplication::paletteChanged, this, setInfoEditStyleSheet, Qt::QueuedConnection);
     setInfoEditStyleSheet();
 }
 
diff --git a/src/gui/InfoDock.hpp b/src/gui/InfoDock.hpp
index f419b826..851e9ba7 100644
--- a/src/gui/InfoDock.hpp
+++ b/src/gui/InfoDock.hpp
@@ -22,11 +22,11 @@
 
 #include <DockWidget.hpp>
 
-class TextEdit final : public QTextEdit
+class TextEdit : public QTextEdit
 {
 private:
-    void mouseMoveEvent(QMouseEvent *) override;
-    void mousePressEvent(QMouseEvent *) override;
+    void mouseMoveEvent(QMouseEvent *);
+    void mousePressEvent(QMouseEvent *);
 };
 
 /**/
diff --git a/src/gui/KeyBindingsDialog.cpp b/src/gui/KeyBindingsDialog.cpp
index 61244300..1412454f 100644
--- a/src/gui/KeyBindingsDialog.cpp
+++ b/src/gui/KeyBindingsDialog.cpp
@@ -36,8 +36,13 @@ KeyBindingsDialog::KeyBindingsDialog(QWidget *p) :
     shortcuts->setModel(QMPlay2GUI.shortcutHandler);
     shortcuts->setFrameShape(QFrame::NoFrame);
     shortcuts->setAlternatingRowColors(true);
+#if QT_VERSION >= QT_VERSION_CHECK(5, 0, 0)
     shortcuts->horizontalHeader()->setSectionResizeMode(0, QHeaderView::ResizeToContents);
     shortcuts->horizontalHeader()->setSectionResizeMode(1, QHeaderView::Stretch);
+#else
+    shortcuts->horizontalHeader()->setResizeMode(0, QHeaderView::ResizeToContents);
+    shortcuts->horizontalHeader()->setResizeMode(1, QHeaderView::Stretch);
+#endif
     shortcuts->setSelectionMode(QAbstractItemView::SingleSelection);
     shortcuts->verticalHeader()->setVisible(false);
 
